@charset "utf-8";
@import "./reset.css";

* {
    box-sizing: border-box;
}


body {
    font-family: 'Roboto', sans-serif;

    background-image: url("../media/background-image.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    overflow-x: hidden;
}

.container {
    width: 100%;
    max-width: 600px;
    display: flex;
    justify-content: center;
}

main {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}


.logo img {
    width: 300px;
    max-width: 100%;
    animation: float 3s ease-in-out infinite;
}

@keyframes float {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-10px);
    }
}


#game-box {

    background: rgba(25, 25, 25, 0.3);
    backdrop-filter: blur(20px);
    padding: 15px;
    border-radius: 20px;
    text-align: center;
    animation: fadeIn 0.8s ease;
    box-shadow: 0 15px 35px rgba(0, 0, 0, 0.5);
    border: 1px solid rgba(255, 255, 255, 0.1);
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin-bottom: 25px;
}

#game-status {
    font-size: 32px;
    font-weight: bolder;
    text-shadow: 0 2px 8px rgba(0, 0, 0, 0.8);
}

#game-box p,
#game-box #timer,
#game-box #hits {
    color: #ffffff;
    font-size: 30px;
    font-weight: bold;
    line-height: 25px;
    text-shadow: 0 2px 8px rgba(0, 0, 0, 0.8);
}

#game-box #time-remaining {
    font-weight: bolder;
    color: #ffd166;
}

#game-box #hits-count {
    font-weight: bold;
    color: #ffd166;

}

#game-box #current-word {
    font-size: 30px;
    font-weight: 900;
    margin: 10px 0;
    padding: 10px;
    width: 65%;
    border-radius: 12px;
    background: rgba(255, 255, 255, 0.05);
    color: #ffffff;
    min-height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid rgba(255, 255, 255, 0.1);
}

#game-box #word-input {
    width: 100%;
    max-width: 350px;
    padding: 15px;
    font-size: 25px;
    font-weight: 600;
    border-radius: 10px;
    border: 2px solid #333;
    background: rgba(200, 189, 189, 0.07);
    color: white;
    outline: none;
    text-align: center;
    transition: all 0.3s ease;
}

#game-box #word-input:focus {
    border-color: rgb(243, 97, 6);
    box-shadow:
        0 0 5px rgba(251, 68, 1, 1),
        0 0 10px rgba(255, 120, 0, 0.8),
        0 0 15px rgb(247, 247, 11, 0.6),
        inset 0 0 10px rgba(255, 255, 255, 0.3);
}

button#start-btn {
    padding: 10px 40px;
    margin: 20px 0;
    font-size: 18px;
    font-weight: bold;
    text-transform: uppercase;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.45);
    border-radius: 10px;
    border: none;
    background: rgb(243, 97, 6);
    color: white;
    cursor: pointer;
    transition: all 0.2s ease;
}

button#start-btn:hover {
    transform: scale(1.01);
    background: #fb5607;
    box-shadow:
        0 0 12px rgba(251, 68, 1, 1);
}


#game-over-overlay.hidden {
    display: none;
}

#game-over-overlay {

    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: center;

    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(8px);

    z-index: 1000;

    animation: fadeOverlay 0.4s ease;
}


#game-over-box {
    background: rgba(25, 25, 25, 0.5);
    padding: 45px;
    border-radius: 20px;
    text-align: center;
    border: 2px solid #ff8800;
    width: 90%;
    max-width: 420px;
    box-shadow:
        0 0 10px rgba(255, 115, 0, 0.6),
        0 0 25px rgba(255, 145, 0, 0.4),
        0 0 50px rgba(255, 115, 0, 0.2);
    animation: popup 0.5s ease;

    display: flex;
    flex-direction: column;
    align-items: center;
}


@media (max-width: 500px) {
    #game-box {
        padding: 20px;
    }

    #game-box #current-word {
        font-size: 30px;
    }
}

#game-over-box h2 {
    font-size: 32px;
    margin-bottom: 25px;
    color: #ffffff;
    letter-spacing: 1px;
    text-shadow:
        0 0 8px rgba(255, 255, 255, 0.8),
        0 0 15px rgba(255, 102, 0, 0.7);
}

#score-table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;

    
}

#score-table th,
#score-table td {
    text-align: center;
    padding: 8px 12px;
    color: #ffd166;
    font-size: 16px;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);

}


#play-again-btn {
    padding: 10px 25px;
    font-size: 16px;
    font-weight: bold;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    border: none;
    background: rgb(243, 97, 6);
    color: white;
    cursor: pointer;
    transition: all 0.2s ease;
}

#play-again-btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 15px rgba(255, 120, 0, 0.8);
}

@keyframes popup {
    0% {
        transform: scale(0.6);
        opacity: 0;
    }

    60% {
        transform: scale(1.05);
        opacity: 1;
    }

    100% {
        transform: scale(1);
    }
}

@keyframes fadeOverlay {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

